#pragma once
#include "popuplist.h"
#include "locationevent.h"

class LocationPopupList :
	public PopupList
{
public:
	LocationPopupList();
	~LocationPopupList();

	int Create(HWND parent = 0);
	void DeepRefresh(int locationId);
	virtual void OnCustomNotify(int id, Notification& n);
	virtual void OnListSelect(HWND h, HWND hItem);
	void ClearList();

	static Appearance PublicEvent;
	static Appearance PrivateEvent;

	int locationId;

	int spacing;

private:
	void Add(LocationEvent *);
	void Delete(LocationEvent *);
};